Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 89356 - avidemux-2.0.38_rc[23] fails to emerge. Fails with "error: `MM_MMX' was not declared in this scope"
Summary: avidemux-2.0.38_rc[23] fails to emerge. Fails with "error: `MM_MMX' was not d...
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-16 15:35 UTC by James
Modified: 2005-05-13 10:27 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch configure.in.on to understand difference between --disable and --enable (enable_mmx.patch,579 bytes, patch)
2005-04-19 02:58 UTC, Richard Brown (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James 2005-04-16 15:35:26 UTC
Making all in ADM_toolkit
make[3]: Entering directory `/u/tmp/portage/avidemux-2.0.38_rc2/work/avidemux-2.0.38rc2b/avidemux/ADM_toolkit'
if i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../..  -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -I/usr/include/malloc -I/usr/include/libxml2 -I/usr/include/SDL -D_REENTRANT  -I.. -IADM_library -I../ADM_library  -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -falign-loops=16 -MT ADM_memcpy.o -MD -MP -MF ".deps/ADM_memcpy.Tpo" -c -o ADM_memcpy.o ADM_memcpy.cpp; \
then mv -f ".deps/ADM_memcpy.Tpo" ".deps/ADM_memcpy.Po"; else rm -f ".deps/ADM_memcpy.Tpo"; exit 1; fi
ADM_memcpy.cpp:404: error: `MM_MMX' was not declared in this scope
ADM_memcpy.cpp:405: error: `MM_MMXEXT' was not declared in this scope
ADM_memcpy.cpp:406: error: `MM_MMXEXT' was not declared in this scope
ADM_memcpy.cpp:406: error: `MM_SSE' was not declared in this scope
make[3]: *** [ADM_memcpy.o] Error 1
make[3]: Leaving directory `/u/tmp/portage/avidemux-2.0.38_rc2/work/avidemux-2.0.38rc2b/avidemux/ADM_toolkit'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/u/tmp/portage/avidemux-2.0.38_rc2/work/avidemux-2.0.38rc2b/avidemux'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/u/tmp/portage/avidemux-2.0.38_rc2/work/avidemux-2.0.38rc2b'
make: *** [all] Error 2


Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Jan Brinkmann (RETIRED) gentoo-dev 2005-04-16 15:43:38 UTC
please provide the output of 'emerge info'
Comment 2 James 2005-04-16 16:25:33 UTC
emerge info
Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.4.3-20050110, glibc-2.3.4.20050125-r1, 2.6.12-rc1 i686)
=================================================================
System uname: 2.6.12-rc1 i686 Intel(R) Pentium(R) 4 CPU 2.80GHz
Gentoo Base System version 1.6.10
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Feb 18 2005, 22:46:50)]
dev-lang/python:     2.3.5
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r8
sys-devel/libtool:   1.5.14
virtual/os-headers:  2.6.11
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-O3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-O3 -pipe"
DISTDIR="/u/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks nostrip sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.heanet.ie/pub/gentoo/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo http://mirror.clarkson.edu/pub/distributions/gentoo/"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/u/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 X acpi alsa apache2 apm arts avi berkdb bitmap-fonts cdr crypt cups curl dba dvd dvdr emboss encode esd fam flac foomaticdb fortran gd gdbm gif gnome gpm gstreamer gtk gtk2 guile imagemagick imlib ipv6 java joystick jpeg kde ldap libg++ libwww mad mikmod motif mp3 mpeg mysql ncurses nls objc ogg oggvorbis opengl oss pam pdflib perl png python qt quicktime readline sasl scanner sdl slang spell sqlite ssl svga tcltk tcpd tetex threads tiff truetype truetype-fonts type1-fonts usb vorbis xml xml2 xmms xv zlib"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS
Comment 3 Erik Johannessen 2005-04-18 14:20:00 UTC
It looks like the configure script tries to disable mmx when given --enable-mmx when compiling on x86 (but isn't entirely successful).  Removing the $(use_enable mmx) from the ebuild made it compile (with mmx support) on x86, but thats not really a proper solution.
Comment 4 Giacomo Perale 2005-04-18 15:05:39 UTC
this is due to new local-generated configure, I suppose

this is configure output in rc2:

checking Built in vectors... use_builtin
 GTK+ version        : 2.6.7
 Divx5.0.5 ?         : yes
 *** DISABLED ***
 Xvid 0.9 Codec      : no
 Xvid 1.0 Codec      : yes
 x264 encoder c      : no
 Mad decoder         : yes
 OSS                 : yes
 ALSA                : yes
 SDL                 : yes
 Xvideo              : yes
 Lame                : yes
 Ogg Vorbis          : yes
 Faad2(decoder)      : no
 Faac (encoder)      : no
 A52/AC3             : yes
 FFMPEG              : yes
 ARTS                : no
 FreeType            : yes
 XML2                : yes
 locale              :
 Little endian cpu   : yes
 MMX                 : yes
 AMD64               : no
 Altivec             : no
 PPC                 : no
 MacOsX(Darwin)      : no
 nasm                : yes ( /usr/bin/nasm )
 Cygwin              : no
 Gcc supports vectors: yes

and this is what I read in rc2-r1:

checking Built in vectors... use_builtin
 GTK+ version        : 2.6.7
 Divx5.0.5 ?         : yes
 *** DISABLED ***
 Xvid 0.9 Codec      : no
 Xvid 1.0 Codec      : yes
 x264 encoder c      : no
 Mad decoder         : yes
 OSS                 : no
 ALSA                : yes
 SDL                 : yes
 Xvideo              : yes
 Lame                : yes
 Ogg Vorbis          : yes
 Faad2(decoder)      : yes
 Faac (encoder)      : yes
 a52dec/AC3          : yes
 FFMPEG              : yes
 aRTs                : no
 FreeType            : yes
 locale              :
 Little endian cpu   : yes
 MMX                 : no
 AMD64               : no
 Altivec             : no
 PPC                 : no
 MacOsX(Darwin)      : no
 nasm                : no ( as )
 Cygwin              : no
 Gcc supports vectors: yes

please note misdetection of MMX and nasm
Comment 5 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-04-18 15:56:43 UTC
Can you please post your emerge -pv avidemux and emerge info?
Comment 6 Giacomo Perale 2005-04-18 16:51:03 UTC
KazeNoTani ghepeu # emerge -pv avidemux

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild     U ] media-video/avidemux-2.0.38_rc2-r1 [2.0.38_rc2] +a52 +aac +alsa (-altivec) -arts -debug +encode +mad +mmx +nls -oss +sdl +truetype +vorbis* +xv +xvid 0 kB

Total size of downloads: 0 kB
KazeNoTani ghepeu # emerge info
Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5-20050130, glibc-2.3.4.20050125-r1, 2.6.11-ck4 i686)
=================================================================
System uname: 2.6.11-ck4 i686 AMD Athlon(tm) XP 1700+
Gentoo Base System version 1.6.10
Python:              dev-lang/python-2.3.4-r1 [2.3.4 (#1, Mar 31 2005, 09:53:14)]
dev-lang/python:     2.3.4-r1
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.4
sys-devel/binutils:  2.15.92.0.2-r7
sys-devel/libtool:   1.5.14
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://www.die.unipd.it/pub/Linux/distributions/gentoo-sources/ http://sunsite.cnlab-switch.ch/ftp/mirror/gentoo/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LANG="it_IT"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -s"
LINGUAS="it en_GB de fr"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 16bit 3dnow 3dnowex 3dnowext X a52 aac acpi acpi4linux alsa apache2 audiofile avi berkdb bmp bzip2 cdparanoia cdr crypt cups curl dbus divx4linux dlloader dts dv dvd dvdread eds emboss encode evo faac faad fbcon fbdev ffmpeg flac font-server foomaticdb fortran freetype gd gd-external gif glitz gnome gnomedb gpm graphviz gstreamer gtk gtk2 gtkhtml hal imagemagick imlib innodb ithreads java javascript jce jpeg kdeenablefinal lcms libg++ libsamplerate libwww live lzw-tiff mad matroska mmap mmx mmxext mng motif mozilla mozinterfaceinfo moznocompose moznoirc moznomail mozp3p mozsvg mp3 mpeg mysql ncurses network nls no-old-linux nomac nptl objc ogg oggvorbis opengl pam pcap pdflib perl png ppds python qt quicktime radeon readline real rtc samba sdl slang sndfile spell sse ssl svg svga tcpd tetex tga theora threads tiff truetype truetype-fonts type1 type1-fonts uptimed usb userlocales videos vidix vorbis win32codecs wmf wxwindows xchatdccserver xface xml2 xmms xprint xrandr xv xvid xvmc yv12 zlib linguas_it linguas_en_GB linguas_de linguas_fr"
Unset:  ASFLAGS, CBUILD, CTARGET, LC_ALL
Comment 7 Richard Brown (RETIRED) gentoo-dev 2005-04-19 02:58:08 UTC
Created attachment 56646 [details, diff]
patch configure.in.on to understand difference between --disable and --enable

Hi, I had this mmx thing, configure.in.in doesn't check to see whether
--enable-mmx or --disable-mmx is called, call one and it treats it as disable.
This patch checks the value, and only disables mmx if it equals "no". The patch
was against an already unpacked abuild, so it should be applied after all the
other congigure patches, hope that's ok. Would you like me to send it upstream?
Comment 8 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-04-19 03:16:51 UTC
Thanks a lot Richard, I'll prepare a little better fix for this, rewriting the way AC_ARG_ENABLE is called to use AC_HELP_STRING, as I'm there.
Avidemux need a complete refactoring to configure for next release, I've already contacted the author to help him with this.
Comment 9 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-04-19 03:47:21 UTC
Committed a patch which fixes also --enable-altivec handling which suffered from a similar problem.

Thanks again for reporting and testing.
Comment 10 Sten Herrlin 2005-05-01 03:13:00 UTC
The avidemux-2.0.38_rc2-mmx_altivec.patch doesn't fix the problem for me.
I get exactly the same compile error as was originally reported.

> emerge info
Portage 2.0.51.20-r5 (default-linux/x86/2005.0, gcc-3.3.4, glibc-2.3.5-r0, 2.6.10-gentoo-r1 i686)
=================================================================
System uname: 2.6.10-gentoo-r1 i686 Pentium II (Deschutes)
Gentoo Base System version 1.6.11
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.3
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r8
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.11
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i386-pc-linux-gnu"
CFLAGS="-O2 -mcpu=i686"
CHOST="i386-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -mcpu=i686"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.du.se/pub/os/gentoo ftp://ftp6.uni-erlangen.de/pub/mirrors/gentoo ftp://vlaai.snt.ipv6.utwente.nl/pub/os/linux/gentoo/ http://ftp.linux.ee/pub/gentoo/distfiles/"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X alsa apm arts avi berkdb bitmap-fonts cdr crypt cups dba emboss encode esd fam foomaticdb fortran gd gdbm gif gnome gpm gtk gtk2 imagemagick imlib ipv6 jpeg kde libg++ libwww lirc mad mikmod motif mp3 mpeg mysql ncurses nls ogg oggvorbis opengl oss pam pdflib perl png python qt quicktime readline samba sdl session spell ssl svga tcpd tiff truetype truetype-fonts type1-fonts vorbis xml2 xmms xv zlib"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTDIR_OVERLAY
Comment 11 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-05-01 11:47:21 UTC
Please provide configure output.
Comment 12 Sten Herrlin 2005-05-01 14:45:01 UTC
How do I do "configure output"?
Comment 13 Sten Herrlin 2005-05-02 03:42:45 UTC
Forget my previous question. I suppose you mean that I shall provide the
information output during the 'configure' phase of 'emerge avidemux'.
Will do as soon as I get to the machine ;) 
Comment 14 Sten Herrlin 2005-05-02 11:20:17 UTC
OK, this is my config output:

./configure --prefix=/usr --host=i386-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --build=i386-pc-linux-gnu --enable-nls --disable-altivec --disable-mmx --enable-xv --with-libmad --with-arts --with-alsa --with-oss --with-vorbis --without-a52dec --with-libsdl --with-freetype2 --without-faac --without-faad2 --without-xvid --with-lame --disable-warnings --disable-dependency-tracking
checking build system type... i386-pc-linux-gnu
checking host system type... i386-pc-linux-gnu
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i386-pc-linux-gnu-ranlib... i386-pc-linux-gnu-ranlib
checking for i386-pc-linux-gnu-g++... i386-pc-linux-gnu-g++
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether i386-pc-linux-gnu-g++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of i386-pc-linux-gnu-g++... none
checking for i386-pc-linux-gnu-gcc... i386-pc-linux-gnu-gcc
checking whether we are using the GNU C compiler... yes
checking whether i386-pc-linux-gnu-gcc accepts -g... yes
checking for i386-pc-linux-gnu-gcc option to accept ANSI C... none needed
checking dependency style of i386-pc-linux-gnu-gcc... none
checking for ld used by GCC... /usr/i386-pc-linux-gnu/bin/ld
checking if the linker (/usr/i386-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for /usr/i386-pc-linux-gnu/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/i386-pc-linux-gnu-nm -B
checking for a sed that does not truncate output...
checking whether ln -s works... yes
checking how to recognise dependant libraries... pass_all
checking how to run the C preprocessor... i386-pc-linux-gnu-gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking how to run the C++ preprocessor... i386-pc-linux-gnu-g++ -E
checking the maximum length of command line arguments... 32768
checking command to parse /usr/bin/i386-pc-linux-gnu-nm -B output from i386-pc-linux-gnu-gcc object... ok
checking for objdir... .libs
checking for i386-pc-linux-gnu-ranlib... (cached) i386-pc-linux-gnu-ranlib
checking for i386-pc-linux-gnu-strip... i386-pc-linux-gnu-strip
checking if i386-pc-linux-gnu-gcc static flag  works... yes
checking if i386-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for i386-pc-linux-gnu-gcc option to produce PIC... -fPIC
checking if i386-pc-linux-gnu-gcc PIC flag -fPIC works... yes
checking if i386-pc-linux-gnu-gcc supports -c -o file.o... yes
checking whether the i386-pc-linux-gnu-gcc linker (/usr/i386-pc-linux-gnu/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking whether the i386-pc-linux-gnu-g++ linker (/usr/i386-pc-linux-gnu/bin/ld) supports shared libraries... yes
checking for i386-pc-linux-gnu-g++ option to produce PIC... -fPIC
checking if i386-pc-linux-gnu-g++ PIC flag -fPIC works... yes
checking if i386-pc-linux-gnu-g++ supports -c -o file.o... yes
checking whether the i386-pc-linux-gnu-g++ linker (/usr/i386-pc-linux-gnu/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... yes
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... GNU/Linux ld.so
appending configuration tag "GCJ" to libtool
checking if gcj supports -fno-rtti -fno-exceptions... (cached) no
checking for gcj option to produce PIC... -fPIC
checking if gcj PIC flag -fPIC works... no
checking if gcj supports -c -o file.o... no
checking whether the gcj linker (/usr/i386-pc-linux-gnu/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... yes
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/gmsgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for ld used by GCC... /usr/i386-pc-linux-gnu/bin/ld
checking if the linker (/usr/i386-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking whether NLS is requested... yes
checking for GNU gettext in libc... yes
checking for pkg-config... /usr/bin/pkg-config
checking for gtk+-2.0 glib-2.0 gthread-2.0... yes
checking GTK_CFLAGS... -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
checking GTK_LIBS... -Wl,--export-dynamic -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0
checking malloc.h usability... yes
checking malloc.h presence... yes
checking for malloc.h... yes
checking malloc/malloc.h usability... no
checking malloc/malloc.h presence... no
checking for malloc/malloc.h... no
checking for libxml-2.0 >= 2.6.7... yes
checking XML_CFLAGS... -I/usr/include/libxml2
checking XML_LIBS... -lxml2 -lpthread -lz -lm
checking for x264 codec ... checking x264.h usability... no
checking x264.h presence... no
checking for x264.h... no
checking if XViD support is required... no
checking for lrintf in math.h... yes
checking for fastint... yes
checking iconv needs const... no
checking if OSS support is required... yes
checking for OSS audio support... yes
checking if ALSA support is required... yes
checking for ALSA CFLAGS...
checking for ALSA LDFLAGS...  -lasound -lm -ldl -lpthread
checking for libasound headers version >= 0.9... found.
checking for snd_ctl_open in -lasound... yes
checking for ALSA CFLAGS...
checking for ALSA LDFLAGS...  -lasound -lm -ldl -lpthread -lasound -lm -ldl -lpthread
checking for libasound headers version >= 1.0.0... found.
checking for snd_ctl_open in -lasound... (cached) yes
checking if aRTs support is required... yes
checking for artsc-config... /usr/kde/3.4/bin/artsc-config
checking artsc.h usability... yes
checking artsc.h presence... yes
checking for artsc.h... yes
checking if libmad support is required... yes
checking for mad... yes
checking LIBMAD_CFLAGS...
checking LIBMAD_LIBS... -lmad -lm
checking if FAAD2 support is required... no
checking if FAAC support is required... no
checking if a52dec support is required... no
checking if Vorbis support is required... yes
checking for vorbisenc... yes
checking VORBIS_CFLAGS...
checking VORBIS_LIBS... -lvorbisenc -lvorbis -lm -logg
checking if LAME support is required... yes
checking lame/lame.h usability... yes
checking lame/lame.h presence... yes
checking for lame/lame.h... yes
checking for lame_init in -lmp3lame... yes
checking for sys/shm.h... yes
checking for X11/extensions/XShm.h... yes
checking for X11/extensions/Xvlib.h... yes
checking for XvShmPutImage in -lXv... yes
checking if SDL support is required... yes
checking target system type... i386-pc-linux-gnu
checking for sdl-config... /usr/bin/sdl-config
checking for SDL - version >= 0.11.0... yes
checking if FreeType2 support is required... yes
checking for freetype2... yes
checking FREETYPE_CFLAGS... -I/usr/include/freetype2
checking FREETYPE_LIBS... -lfreetype -lz
checking /usr/local/ is full of divx... "yes"
checking win32 host... no
Checking cpu/system type
CPU type : i686
checking for Altivec ... no
cpu done
checking Built in vectors... use_builtin
 GTK+ version        : 2.4.14
 Divx5.0.5 ?         : yes
 *** DISABLED ***
 Xvid 0.9 Codec      : no
 Xvid 1.0 Codec      : no
 x264 encoder c      : no
 Mad decoder         : yes
 OSS                 : yes
 ALSA                : yes
 SDL                 : yes
 Xvideo              : yes
 Lame                : yes
 Ogg Vorbis          : yes
 Faad2(decoder)      : no
 Faac (encoder)      : yes
 a52dec/AC3          : yes
 FFMPEG              : yes
 aRTs                : yes
 FreeType            : yes
 locale              :
 Little endian cpu   : yes
 MMX                 : no
 AMD64               : no
 Altivec             : no
 PPC                 : no
 MacOsX(Darwin)      : no
 nasm                : no ( as )
 Cygwin              : no
 Gcc supports vectors: yes
Comment 15 Sten Herrlin 2005-05-08 01:22:56 UTC
I would like this bug-report to be reopened. I still have the problem with avidemux-2.0.38_rc3.
Comment 16 James 2005-05-08 03:32:41 UTC
I still have the problem also.
Comment 17 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-05-08 04:11:48 UTC
You built with -mmx ? I think i found the problem, will take a bit to fix it, I hope to do fix this soon.
Comment 18 Alex Kloss 2005-05-10 05:12:27 UTC
An easy, but ugly fix is to add  #define MM_MMX    0x0001 /* standard MMX */ #define MM_3DNOW  0x0004 /* AMD 3DNOW */ #define MM_MMXEXT 0x0002 /* SSE integer functions or AMD MMX ext */ #define MM_SSE    0x0008 /* SSE functions */ #define MM_SSE2   0x0010 /* PIV SSE2 functions */ #define MM_3DNOWEXT  0x0020 /* AMD 3DNowExt */  at line 40 of ADM_memcpy.cpp.  I didn't yet figure out why the inclusion of "adm_lavcodec/dsputil.h" (where these lines come from) doesn't work. Maybe someone else has some idea about that.  Greetings, LX
Comment 19 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-05-12 04:36:18 UTC
*** Bug 92324 has been marked as a duplicate of this bug. ***
Comment 20 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-05-12 04:40:47 UTC
I've a patch that should work, I just need to test it, I'll do after launch and then update rc3-r1 to use it.
Comment 21 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-05-12 07:37:49 UTC
I've added the new patch in patchlevel3 (02_all_mmxfix.patch), please wait, sync and tell if the problem is fixed or persists. Feel free to reopen if the problem persists, else close the bug.

Now MM_MMX symbol is used just if it's defined HAVE_MMX which should fix the problem (before it was looking for ARCH_X86).
Comment 22 James 2005-05-13 10:27:18 UTC
emerge succeeded.
emerge -s avidemux
*  media-video/avidemux
      Latest version available: 2.0.38_rc3-r1
      Latest version installed: 2.0.38_rc3-r1
      Size of downloaded files: 3,418 kB
      Homepage:    http://fixounet.free.fr/avidemux/
      Description: Great Video editing/encoding tool
      License:     GPL-2

Thank you. :-)